/***************************************************************************
 *
 * (C) Unpublished Copyright of Novell, Inc.  All Rights Reserved.
 *
 * No part of this file may be duplicated, revised, translated, localized
 * or modified in any manner or compiled, linked or uploaded or downloaded
 * to or from any computer system without the prior written consent of
 * Novell, Inc.
 *
 ***************************************************************************/

#ifndef  _SASFLEGY_H
#define  _SASFLEGY_H

/* WARNING:  This header does not support 64-bit development 
*
*  Windows:  _WIN64
*  Sun:      _LP64
*  Linux:    __LP64__  (GNUC)
*  HPUX:     __LP64__ 
*  AIX:      __64BIT__
*/
#if (defined(_WIN64) || defined(_LP64) || defined(__LP64__) || defined (__64BIT__))
#error Header does not support 64-bit development
#endif  
  

#ifdef __cplusplus
   extern "C" {
#endif


/**********************************************************************
 Routines exported from nmasncp.dll
**********************************************************************/
 

N_EXTERN_LIBRARY_C (int) NMAS_PutLoginConfig( 
   unicode  *uniTreeName,
   unicode  *uniObjectDN,
   nuint32  methodIDLen,
   pnuint32 methodID,
   unicode  *tag,
   size_t   dataLen,
   void     *data);

N_EXTERN_LIBRARY_C (int) NMAS_GetLoginConfig( 
   unicode  *uniTreeName,
   unicode  *uniObjectDN,
   nuint32  methodIDLen,
   pnuint32 methodID,
   unicode  *tag,
   size_t   bufferLen,     
   size_t   *dataLen,      
   void     *data );

N_EXTERN_LIBRARY_C (int) NMAS_DeleteLoginConfig( 
   unicode  *uniTreeName,
   unicode  *uniObjectDN,
   nuint32  methodIDLen,
   pnuint32 methodID,
   unicode  *tag );

N_EXTERN_LIBRARY_C (int) NMAS_PutLoginSecret( 
   unicode  *uniTreeName,
   unicode  *uniObjectDN,
   nuint32  methodIDLen,
   pnuint32 methodID,
   unicode  *tag,
   size_t   dataLen,
   void     *data );

N_EXTERN_LIBRARY_C (int) NMAS_DeleteLoginSecret( 
   unicode  *uniTreeName,
   unicode  *uniObjectDN,
   nuint32  methodIDLen,
   pnuint32 methodID,
   unicode  *tag );

#ifdef __cplusplus
   }
#endif

#endif
