//
// UserInputDialog: dialog to get user input for the Simple Password
// Login Client Method
// Platform:	Windows Client
//
// Copyright (C) 2000 Novell, Inc. All Rights Reserved. 
//
// THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND
// TREATIES. USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE
// LICENSE AGREEMENT ACCOMPANYING THE SOFTWARE DEVELOPMENT KIT
// (SDK) THAT CONTAINS THIS WORK. PURSUANT TO THE SDK LICENSE
// AGREEMENT, NOVELL HEREBY GRANTS TO DEVELOPER A ROYALTY-FREE,
// NON-EXCLUSIVE LICENSE TO INCLUDE NOVELL'S SAMPLE CODE IN ITS
// PRODUCT. NOVELL GRANTS DEVELOPER WORLDWIDE DISTRIBUTION RIGHTS TO
// MARKET, DISTRIBUTE, OR SELL NOVELL'S SAMPLE CODE AS A COMPONENT OF
// DEVELOPER'S PRODUCTS. NOVELL SHALL HAVE NO OBLIGATIONS TO
// DEVELOPER OR DEVELOPER'S CUSTOMERS WITH RESPECT TO THIS CODE. 

#if !defined(AFX_USERINPUTDIALOG_H__D92D9E80_2585_11D3_AF13_0080296227A9__INCLUDED_)
#define AFX_USERINPUTDIALOG_H__D92D9E80_2585_11D3_AF13_0080296227A9__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// UserInputDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// UserInputDialog dialog

class UserInputDialog : public CDialog
{
// Construction
public:
	UserInputDialog(int forceChg, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(UserInputDialog)
	enum { IDD = IDD_USER_INPUT_DIALOG };
	CString	m_UserInput;
	BOOL	m_ChangePassword;
	CString	m_newPwd;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(UserInputDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(UserInputDialog)
	afx_msg void OnChangePwd();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_USERINPUTDIALOG_H__D92D9E80_2585_11D3_AF13_0080296227A9__INCLUDED_)
