#include <windows.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "ntypes.h"
#include "unicode.h"
#include "nwcaldef.h"
#include "nmasnov.h"
#include "nmasc32.h"


int main( int argc, char **argv)
{
   
   int rc;

   HMODULE hMod  = NULL;

   char ErrMsg[256];
   int  ErrMsgLen = 256;


   char *treeName  = argv[1];
   char *pUser     = argv[2];

   char *pPwd      = NULL;
   char *pServer   = NULL;
   char *pSeq      = NULL;
   char *pClear    = NULL;
   int   uiTimeout = 0;


   if (argc >= 4)
      pPwd = argv[3];
   
   if (argc >= 5)
      pSeq = argv[4];

   if (argc >= 6)
      pClear = argv[5];

   if (argc >=7)
      pServer = argv[6];

   if (argc >= 8)
      uiTimeout = atoi(argv[7]);



   rc = NMAS_Login(treeName, pUser, pPwd, pServer, pSeq, pClear, NULL, uiTimeout,
                   0);


   if (0 == rc)
   {
	   printf("Login Successful\n");
   }
   else
   {
      printf("Error: %d, 0x%08X \n", rc, rc); 
   }

   return( 0 );
}


