@echo off
rem NMAS module signer.
rem Vendor's utility
rem January 14, 2002

set EXECUTABLE=signer.exe
set NLMFILE=%1
set METHODNAME=%2
set ENTRYPOINT=%3

if not exist %EXECUTABLE% goto error0

if "%NLMFILE%" == "" goto error1
if "%METHODNAME%" == "" goto error2
if "%ENTRYPOINT%" == "" goto error3

%EXECUTABLE% -s "%NLMFILE%" "%METHODNAME%" "%ENTRYPOINT%"
goto done

:error0:
echo Missing executable "%EXECUTABLE%"
goto done

:error1
echo Missing NLM file name

:error2
echo Missing Method Name

:error3
echo Missing Entrypoint Name

:error
echo Usage: sign NLMFile MethodName EntryPoint

:done
set NLMFILE=
set METHODNAME=
set ENTRYPOINT=
set EXECUTABLE=
