//
// Method Name:		Simple Password Method.
// Method Platform:	Windows Client
//
// Copyright (C) 2000 Novell, Inc. All Rights Reserved. 
//
// THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND
// TREATIES. USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE
// LICENSE AGREEMENT ACCOMPANYING THE SOFTWARE DEVELOPMENT KIT
// (SDK) THAT CONTAINS THIS WORK. PURSUANT TO THE SDK LICENSE
// AGREEMENT, NOVELL HEREBY GRANTS TO DEVELOPER A ROYALTY-FREE,
// NON-EXCLUSIVE LICENSE TO INCLUDE NOVELL'S SAMPLE CODE IN ITS
// PRODUCT. NOVELL GRANTS DEVELOPER WORLDWIDE DISTRIBUTION RIGHTS TO
// MARKET, DISTRIBUTE, OR SELL NOVELL'S SAMPLE CODE AS A COMPONENT OF
// DEVELOPER'S PRODUCTS. NOVELL SHALL HAVE NO OBLIGATIONS TO
// DEVELOPER OR DEVELOPER'S CUSTOMERS WITH RESPECT TO THIS CODE. 
//
//
#if !defined(AFX_GUIWIN32_H__EE65AA37_234D_11D3_A9D0_0008C75BF22F__INCLUDED_)
#define AFX_GUIWIN32_H__EE65AA37_234D_11D3_A9D0_0008C75BF22F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "stdafx.h"

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#pragma warning (disable:4115) // '?' : named type definition in parentheses
#pragma warning (disable:4201) // nonstandard extension used : nameless struct/union
#pragma warning (disable:4214) // nonstandard extension used : bit field types other than int
#pragma warning (disable:4514) // '?' : unreferenced inline function has been removed
#pragma warning (disable:4706) // assignment within conditional expression
#pragma warning (disable:4127) // ms

#define WARNMSG(str,id)		str, id									/*	Used during development of messages	*/
//#define WARNMSG(str,id)		LCMDLLMessagesTable[id], id	/*	Used when the message table is present	*/

#define MAX_REPLY_LENGTH (512 * 4 + 64)	

#define STATIC static

#include "resource.h"		// main symbols

//get ntypes
#include <ntypes.h>

extern "C" {            // Import as C functions, unable to link otherwise
#include "nmasmaf.h"       
#include "nmaserr.h"
#include "unicode.h"
}
/////////////////////////////////////////////////////////////////////////////
// CGuiwin32App
// See guiwin32.cpp for the implementation of this class
//

///////////////////////////////////////
//global function for access outside
//extern "C" NMASDLLExport int LCM00000007( MAF_Handle mh );
	
///////////////////////////////////////
//global variables
static int       processAttachCount = 0;
static HINSTANCE LCMDLLInstanceH    = 0;
static LPVOID    LPCDLLHowLoaded    = 0;
static long      ourProcessID       = 0;
STATIC char      **LPMDLLMessagesCount;
STATIC LONG      LCMDLLMessagesCount, LCMDLLLanguageID;

class CGuiwin32App : public CWinApp {
public:
	int TakeDownLCMDLL( void );
	int SetupLCMDLL( void );
	virtual BOOL InitInstance();
	CGuiwin32App();
	// this isn't being called on dll entry :(
	BOOL WINAPI DllMain( HINSTANCE, DWORD dwReason, LPVOID howLoaded );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGuiwin32App)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CGuiwin32App)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	UINT m_processCount;
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.}
#endif // !defined(AFX_GUIWIN32_H__EE65AA37_234D_11D3_A9D0_0008C75BF22F__INCLUDED_)
