/*=============================================================================
  CPasswordRegistrator.java

  Copyright (c) 1998-2001 Novell, Inc. All Rights Reserved.

  THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND TREATIES.
  USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE LICENSE AGREEMENT
  ACCOMPANYING THE SOFTWARE DEVELOPMENT KIT (SDK) THAT CONTAINS THIS WORK.
  PURSUANT TO THE SDK LICENSE AGREEMENT, NOVELL HEREBY GRANTS TO DEVELOPER A
  ROYALTY-FREE, NON-EXCLUSIVE LICENSE TO INCLUDE NOVELL'S SAMPLE CODE IN ITS
  PRODUCT. NOVELL GRANTS DEVELOPER WORLDWIDE DISTRIBUTION RIGHTS TO MARKET,
  DISTRIBUTE, OR SELL NOVELL'S SAMPLE CODE AS A COMPONENT OF DEVELOPER'S
  PRODUCTS. NOVELL SHALL HAVE NO OBLIGATIONS TO DEVELOPER OR DEVELOPER'S
  CUSTOMERS WITH RESPECT TO THIS CODE.
==============================================================================*/
package com.novell.admin.ndssnapins.loginMethods.CPassword;

import com.novell.admin.common.snapins.*;
import com.novell.admin.ns.nds.*;
import com.novell.admin.snapins.creator.*;
import com.novell.application.console.snapin.*;
import com.novell.application.console.snapin.scope.*;
import com.novell.application.console.widgets.*;

import com.novell.security.japi.nmas.*;

public class CPasswordRegistrator implements Registration
{
	private boolean				completeSnapin = true;
	private RegistrationItem[]	item;

	public RegistrationItem[] getRegistration()
	{
		// Do the actual registration.  THE ORDER IN WHICH THESE ARE REGISTERED IS ALSO THE
		// ORDER IN WHICH THEY SHOW UP IN THE SHELL!!!!!
		
		item = new RegistrationItem[]
		{
			// AdminPage
			new RegistrationItem(new NamespaceTypeScope(Shell.SNAPIN_PAGE, NDSNamespace.name, NMASSchema.USER_OBJECT),
								"com.novell.admin.ndssnapins.loginMethods.CPassword.CPasswordSnapin"),
			
		    new RegistrationItem(new NamespaceTypeScope(CreatorSnapinPanel.TYPE, NDSNamespace.name, NMASSchema.USER_OBJECT),
								"com.novell.admin.ndssnapins.loginMethods.CPassword.CPasswordUserCreatorSnapin")
		};
		return item;
	}
}
