/******************************************************************************
Clear Password Method Header File.

Copyright (C) 2002 Novell, Inc. All Rights Reserved. 

THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND
TREATIES. USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE
LICENSE AGREEMENT ACCOMPANYING THE SOFTWARE DEVELOPMENT KIT
(SDK) THAT CONTAINS THIS WORK. PURSUANT TO THE SDK LICENSE
AGREEMENT, NOVELL HEREBY GRANTS TO DEVELOPER A ROYALTY-FREE,
NON-EXCLUSIVE LICENSE TO INCLUDE NOVELL'S SAMPLE CODE IN ITS
PRODUCT. NOVELL GRANTS DEVELOPER WORLDWIDE DISTRIBUTION RIGHTS TO
MARKET, DISTRIBUTE, OR SELL NOVELL'S SAMPLE CODE AS A COMPONENT OF
DEVELOPER'S PRODUCTS. NOVELL SHALL HAVE NO OBLIGATIONS TO
DEVELOPER OR DEVELOPER'S CUSTOMERS WITH RESPECT TO THIS CODE.

 *****************************************************************************/
 
#ifndef	_DEFINES_H
#define	_DEFINES_H

#define MAX_CLEAR_PWD_CHARS		128

// Authentication Stores Tags
#define CLEAR_PWD_TAG			{'C','l','e','a','r',' ','P','a','s','s','w','o','r','d',0}

// Method Version
#define CPWD_METHOD_VERSION 1

// Info flags
#define PASSWORD_CHANGE	0x1

typedef struct CPWD_INFO
{
	nuint32 error;		// non-zero are failures
	nuint32 infoFlags;	// information flags
} CPWD_INFO;

#endif
	 
