/************************************************************************
 *
 *  (C) Copyright 2006 Novell, Inc.
 *  All Rights Reserved.
 *
 *  This program is an unpublished copyrighted work which is proprietary
 *  to Novell, Inc. and contains confidential information that is not
 *  to be reproduced or disclosed to any other person or entity without
 *  prior written consent from Novell, Inc. in each and every instance.
 *
 *  WARNING:  Unauthorized reproduction of this program as well as
 *  unauthorized preparation of derivative works based upon the
 *  program or distribution of copies by sale, rental, lease or
 *  lending are violations of federal copyright laws and state trade
 *  secret laws, punishable by civil and criminal penalties.
 *
 ****************************************************************************/
#ifndef _SASL_LAYER_H
#define _SASL_LAYER_H

#include <saslapi.h>
#include <methodcb.h>

NMASAPI int SecLayer_GetMethodAttribute(
    void *slHandle,
	unicode *tag,
	size_t *size,
	void *data);

NMASAPI int SecLayer_PutMethodAttribute(
    void *slHandle,
	unicode *tag,
	size_t size,
	void *data);

#define MAX_TRACE_MSG_LEN 512

NMASAPI int SecLayer_TraceEnabled(
    void *slHandle);

NMASAPI int SecLayer_Trace(
    void *slHandle,
	char *message);

NMASAPI int SecLayer_TraceEx(
    void *slHandle,
    const char *format, 
    ...);

NMASAPI int SecLayer_TraceOnError(
    void *slHandle,
	int err,
	char *message);

NMASAPI int SecLayer_LogEvent(
    void *slHandle,
    nuint32 logLevel,
    nuint32 status,
    unsigned char *statusMsg, // optional
    nuint32 methodEventID,    // optional
    char *eventMsgFmt, ...);  // optional

#endif

